Subject: Re: bug#11984: 24.1; segfault while deleting a window

From: martin rudalics <[email-masked]>
Date: Thu, 26 Jul 2012 11:43:45 +0200

> Probably, but I find it easier to move the mouse pointer over some of
 > the mouse-sensitive areas of the display (tool bar, menu items, mode
 > line), each time waiting for the tooltip to pop up and then pop down
 > after a few seconds.

OK.  I asked because in your report you didn't give a detailed scenario
for how to reproduce the crash.

 > So feel free to replace the call to Fset_window_buffer with
 > set_window_buffer, if you think that's more appropriate.

I intend to replace all instances wherever I find them in C code.  Since
set_window_buffer does run_window_configuration_change_hook anyway and
IIUC we don't forbid that, the change won't fix much of the dilemma that
we run Lisp code on unfinished frames.  But Fset_window_buffer's extra
work is only wasted for minibuffers.

martin